package com.logicbig.example;

import jakarta.inject.Inject;
import jakarta.inject.Named;

import java.util.Arrays;

public class OrderServiceClient {

    @Inject
    @Named("OrderServiceB")
    private OrderService orderService;

    public void showPendingOrderDetails() {
        for (String orderId : Arrays.asList("100", "200", "300")) {
            System.out.println(orderService.getOrderDetails(orderId));
        }
    }
}